import { CompilationContext } from './CompilationContext';
/** Class implementing the session compilation process. */
export declare class SessionCompiler {
    private readonly context;
    private readonly chunks;
    private readonly loms;
    private readonly timeline;
    private readonly session;
    private currentChunk;
    private previousFaultyTs;
    private lomDeduplicationMapping;
    private lomCounter;
    private constructor();
    static create(context: CompilationContext): Promise<SessionCompiler>;
    private relativizeTimestampToSession;
    private addToTimeline;
    private createExplorationEvent;
    private createActionEvent;
    private findSimilarLom;
    compile(): Promise<void>;
}
